import Foundation

func localize(key: String) -> String {
    let result = NSLocalizedString(key, comment: "")
    return result
}

func localize(key: String, withArgs args: CVarArg...) -> String {
    return withVaList(args, { (params) -> String in
        return NSString(format: localize(key: key), arguments: params) as String
    })
}
