@objc enum ServerDisconnectReason : Int {
    /// The provided credentials used for login were wrong.
    case wrongCredentials
    /// The provided device can't be used in combination with the provided credentials,
    /// likely because the device belongs to another account.
    case wrongDevice
    /// Server connection was lost due to network issues.
    case connectionLost
}
