import Foundation

/// Errors that can occure during the firmware update process.
enum FirmwareUpdateError: String, CustomDebugStringConvertible
{
    case deviceCommunicationFailed
    case serverCommunicationFailed

    var debugDescription: String {
        return self.rawValue
    }
}
